BulkRecordWriter (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.hadoop

## Class BulkRecordWriter

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordWriter<K,V>
  - - org.apache.cassandra.hadoop.AbstractBulkRecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>
    - - org.apache.cassandra.hadoop.BulkRecordWriter

- All Implemented Interfaces:
    org.apache.hadoop.mapred.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>

      public final class BulkRecordWriter
      extends AbstractBulkRecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.hadoop.AbstractBulkRecordWriter

      `AbstractBulkRecordWriter.ExternalClient, AbstractBulkRecordWriter.NullOutputHandler`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.hadoop.AbstractBulkRecordWriter

      `BUFFER_SIZE_IN_MB, bufferSize, conf, context, loader, MAX_FAILED_HOSTS, maxFailures, OUTPUT_LOCATION, progress, STREAM_THROTTLE_MBITS, writer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(java.nio.ByteBuffer keybuff, java.util.List<Mutation> value)`

    - ### Methods inherited from class org.apache.cassandra.hadoop.AbstractBulkRecordWriter

      `close, close, getOutputLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### write

          public void write(java.nio.ByteBuffer keybuff,
                   java.util.List<Mutation> value)
                     throws java.io.IOException

      Specified by:
        `write` in interface `org.apache.hadoop.mapred.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>`
      Specified by:
        `write` in class `org.apache.hadoop.mapreduce.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>`
      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation